{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
{% endblock %}



{% block body %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Riwayat Pesanan
        {% endblock %}

        {% block menuBar %}
            <nav style="border-bottom: 1px solid var(--grey-d); line-height: 0; top: 50px" class="bg-white w-100">
                <div class="nav bg-white w-100 d-flex" id="nav-tab" role="tablist">
                    <a class="nav-item nav-link active text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                       data-toggle="tab" data-ref="0" href="#pesanan" role="tab" aria-controls="pesanan"
                       aria-selected="true">Pesanan</a>
                    <a class="nav-item nav-link  text-center d-block flex-grow-1 tab-s" id="nav-home-tab"
                       data-toggle="tab" data-ref="1" href="#pembayaran" role="tab" aria-controls="detail"
                       aria-selected="true">Pembayaran</a>
                </div>
            </nav>
        {% endblock %}
    {% endembed %}
    <div class="tab-content" id="pills-tabContent">
        <div class="tab-pane fade show active" id="pesanan" role="tabpanel" aria-labelledby="pills-home-tab">
            <section class="mt-3" id="pesanan-panel">
                <div class="scrolling-wrapper ">
                    <div style="border: none !important;" class="items pl-3">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="radio-paket1" value="all"
                               checked>
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="radio-paket1">
                            <p class="mb-0 f08">Semua</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="pesananBaru" value="0">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="pesananBaru">
                            <p class="mb-0 f08">Pesanan Baru</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="menungguPembayaran"
                               value="1">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="menungguPembayaran">
                            <p class="mb-0 f08">Menunggu Pembayaran</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="menungguKonfirmasiPembayaran"
                               value="7">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="menungguKonfirmasiPembayaran">
                            <p class="mb-0 f08">Menunggu Konfirmasi Pembayaran</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="aktif" value="2">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="aktif">
                            <p class="mb-0 f08">Aktif</p>
                        </label>
                    </div>
                    <div style="border: none !important;" class="items pr-3">
                        <input class="checkbox-jam check-status" type="radio" name="type" id="selesai" value="9">
                        <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                               for="selesai">
                            <p class="mb-0 f08">Selesai</p>
                        </label>
                    </div>
                </div>
            </section>
            <section class="container-fluid mt-3" id="panel-transaction">
            </section>
        </div>
        <div class="tab-pane fade" id="pembayaran" role="tabpanel" aria-labelledby="pills-profile-tab">
            <div class="container-fluid mt-2 mb-2">
                <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor); height: 50px;">
                    <p class="text-black-50 font-weight-bold f08 mb-1">Menampilkan Semua Data Yang Berhasil Di
                        Bayarkan</p>
                </div>
            </div>
            <section></section>
            <section id="panel-payment" class="container-fluid">

            </section>
        </div>
    </div>
    <div id="content">

    </div>

    <div class="space-25h"></div>

{% endblock %}

{% block JSMore %}

    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('.paket').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 3,
                variableWidth: true,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true
                        }
                    }
                ]
            });
        });
    </script>
    <script>
        function pesananContent(v) {
            let {referenceId, total, id} = v;
            let name = v['transaction']['skill']['user']['profile']['name'];
            let avatar = v['transaction']['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let category = v['transaction']['skill']['category']['name'];
            let level = v['transaction']['skill']['level']['name'];
            let status = '';
            let classStatus = 'menunggu-konfirmasi-pengajar';
            let redirect = '/member/transaction/detail/' + id;
            switch (v['status']) {
                case 0:
                    status = 'Menunggu Konfirmasi';
                    classStatus = 'menunggu-konfirmasi-pengajar';
                    break;
                case 1:
                    status = 'Menunggu Pembayaran';
                    classStatus = 'menunggu-pembayaran';
                    break;
                case 2:
                    status = 'Aktif';
                    classStatus = 'aktif';
                    break;
                case 9:
                    status = 'Selesai';
                    classStatus = 'selesai';
                    break;
                case 7:
                    status = 'Menunggu Konfirmasi Pembayaran';
                    classStatus = 'menunggu-pembayaran';
                    break;
                case 6:
                    status = 'Pesanan Di Batalkan';
                    break;
                default:
                    break;
            }

            return '<div class="gen-card">' +
                '<div style="border-bottom: 1px solid #ddd; padding: 1em">' +
                '<div class="d-flex justify-content-between align-items-center mb-2">\n' +
                '<p class="text-black-50 mb-0">Nomor Pesanan : #' + referenceId + '</p>\n' +
                '<i class="mdi mdi-more-vert fa12"></i>\n' +
                '</div>' +
                '<div class="header-profile mb-0">\n' +
                '<div class="gambar-div-sm">\n' +
                '<img src="' + avatar + '" alt="' + avatar + '">' +
                '</div>\n' +
                '<div class="content">\n' +
                '<p class="title">' + name + '</p>\n' +
                '<p class="subtitle mb-0">' + category + ' - ' + level + '</p>\n' +
                '</div>\n' +
                '</div>\n' +
                '</div>' +
                '<div style="padding: 1em">\n' +
                '<div class="d-flex justify-content-between">\n' +
                '<div>\n' +
                '<p class="text-black-50 f08 mb-0 font-weight-bold">Total</p>\n' +
                '<p class="t-accent font-weight-bold f10">Rp. ' + formatUang(total) + '</p>\n' +
                '</div>\n' +
                '<a class="t-primary font-weight-bold f10" href="' + redirect + '">Detail </a>\n' +
                '</div>\n' +
                '<p class="' + classStatus + ' f08">\n' + status +
                '</p>\n' +
                '</div>' +
                '</div>';
        }

        function emptyContent(text = 'Maaf Tidak Ada Transaksi') {
            return '<div class="d-flex justify-content-center align-items-center" style="min-height: 300px">' + text +
                '</div>'
        }

        function pembayaranContent(v) {
            let {paymentReference, amount, id, status, paymentMethod, totalCart} = v;
            let cart = v['cart'];
            let cartEl = '';
            let statString = '';
            switch (status) {
                case 0:
                    statString = 'Menunggu Konfirmasi Admin';
                    break;
                case 1:
                    statString = 'Pembayaran Di Terima';
                    break;
                case 6:
                    statString = 'Pembayaran Di Tolak';
                    break;
                default:
                    break;
            }
            if (cart.length > 0) {
                let more = '';
                if (cart.length > 1) {
                    let rest = cart.length - 1;
                    more = '<a class="text-right" href="/member/transaction/payment/detail/' + id + '">+' + rest + ' Lainnya</a>';
                }
                let avatar = cart[0]['transaction']['skill']['user']['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
                let name = cart[0]['transaction']['skill']['user']['profile']['name'];
                let category = cart[0]['transaction']['skill']['category']['name'];
                let level = cart[0]['transaction']['skill']['level']['name'];
                cartEl = '<div class="header-profile mb-0">\n' +
                    '                            <div class="gambar-div-sm">\n' +
                    '                                <img src="' + avatar + '">\n' +
                    '                            </div>\n' +
                    '                            <div class="content">\n' +
                    '                                <p class="title">' + name + '</p>\n' +
                    '                                <p class="subtitle mb-0">' + category + ' - ' + level + '</p>\n' +
                    '<p class="subtitle mb-0">Pembayaran Via (' + paymentMethod + ')</p>' +
                    '<p class="subtitle mb-0">Status : ' + statString + '</p>' +
                    '                            </div>\n' +
                    '                        </div>' +
                    '<div>' + more + '</div>';
            }
            return '<div class="card-invoice" data-id="' + id + '" style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">\n' +
                '<div style="border-bottom: 1px solid #ddd; padding: 1em">\n' +
                '<div class="d-flex justify-content-between align-items-start">\n' +
                '<p class="text-dark f10 ">#' + paymentReference + '</p>\n' +
                '                            <i class="mdi mdi-more-vert fa12"></i>\n' +
                '                        </div>\n' + cartEl +
                '                    </div>\n' +
                '                    <div style="padding: 1em">\n' +
                '                        <div class="d-flex justify-content-between">\n' +
                '                            <div>\n' +
                '                                <p class="text-black-50 f08 mb-0 font-weight-bold">Total Pembayaran</p>\n' +
                '                            </div>\n' +
                '                            <p class="t-accent font-weight-bold f10 mb-0">Rp. ' + formatUang(totalCart) + '</p>\n' +
                '                        </div>\n' +
                '                    </div>\n' +
                '                </div>'
        }

        async function getTransaction() {
            let status = $('input[name=type]:checked').val();
            let el = $('#panel-transaction');
            el.onDataLoading('Sedang Mengunduh Data Transaksi...')
            let response = await $.get('/member/cart/data', {status});
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(pesananContent(v));
                    });
                } else {
                    el.append(emptyContent());
                }
            }
        }

        async function getPayment() {
            let el = $('#panel-payment');
            el.onDataLoading('Sedang Mengunduh Data Pembayaran...');
            let response = await $.get('/member/payment/data');
            console.log(response)
            el.empty();
            if (response['code'] === 200) {
                let payload = response['payload'];
                if (payload.length > 0) {
                    $.each(payload, function (k, v) {
                        el.append(pembayaranContent(v));
                    });

                    $('.card-invoice').on('click', function () {
                        let id = this.dataset.id;
                        window.location.href = '/member/transaction/payment/detail/' + id
                    })
                } else {
                    el.append(emptyContent());
                }
            }
        }

        $(document).ready(function () {
            getTransaction();
            $('.check-status').on('click', function () {
                getTransaction();
            })
            $('#nav-tab a').on('shown.bs.tab', function (e) {
                let ref = $(e.target).attr('data-ref');
                if (ref === '1') {
                    getPayment();
                } else if (ref === '0') {
                    getTransaction()
                } else {
                    console.log('o')
                }
            })
        })
    </script>
{% endblock %}